/*
 * t4graph_c.h --
 *
 *	Include file for the "C" part of the T4Graph package.
 *
 *	Authors: Jacob Levy and Jean-Claude Wippler.
 *		 jyl@best.com	jcw@equi4.com
 *
 * Copyright (c) 2000-2003, JYL Software Inc.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE, EVEN IF
 * JYL SOFTWARE INC. IS MADE AWARE OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef	__T4GRAPH_C_H__
#define	__T4GRAPH_C_H__

/*
 * External dependencies:
 */

#ifdef	__cplusplus
extern "C" {
#endif
#include "tcl.h"

/*
 * Ensure correct shared library exporting in WIN32:
 */

#ifndef e4_TGRAPHDLL
    #if defined(_WIN32) && !defined(E4_STATIC)
        #ifdef E4_TGRAPHDLL
            #define e4_TGRAPHDLL __declspec(dllexport)
        #else
            #define e4_TGRAPHDLL __declspec(dllimport)
        #endif
    #else
        #define e4_TGRAPHDLL
    #endif
#endif

/*
 * Functions exported
 */

extern DLLEXPORT int		Tgraph_RealInit(Tcl_Interp *interp);
extern DLLEXPORT int		Tgraph_Init(Tcl_Interp *interp);
extern DLLEXPORT int		Tgraph_SafeInit(Tcl_Interp *interp);
extern DLLEXPORT int		Tgraphd_Init(Tcl_Interp *interp);
extern DLLEXPORT int		Tgraphd_SafeInit(Tcl_Interp *interp);

#ifdef	__cplusplus
}
#endif

#endif	/* __T4GRAPH_C_H__ */
