# Tcl package index file, version 1.1
# This file is generated by the "pkg_mkIndex" command
# and sourced either when an application starts up or
# by a "package unknown" script.  It invokes the
# "package ifneeded" command to set up package-related
# information so that packages will be loaded automatically
# in response to "package require" commands.  When this
# script is sourced, the variable $dir must contain the
# full path name of this file's directory.
#
# JYL 07/01/2003 Edited by hand to be (more) portable.

# Set up some variables:

set libext [info sharedlibextension]
set libpref ""
if {$::tcl_platform(platform) == "unix"} {
    set libpref "lib"
}

set libtgraph	${libpref}tgraph${libext}
set libtxml	${libpref}txml${libext}

namespace eval ::tgraph {

# This procedure prevents the packages from
# loading into Tcl 8.4.3.

proc loadIfNotTcl843 {library} {
    if {$::tcl_patchLevel == "8.4.3"} {
	error "Cannot load $library into Tcl 8.4.3, see Tcl Bug #726018"
    }
    load $library
}

}

# Now define the conditions for loading:

package ifneeded tgraph 1.0.0 [list ::tgraph::loadIfNotTcl843 $libtgraph]
package ifneeded txml 1.0.0 [list ::tgraph::loadIfNotTcl843 $libtxml]

# Clean up:

unset libtgraph libtxml libpref libext
